.aptechka__footer {
    max-width: 1230px;
    width: 100%;
    box-sizing: border-box;
    margin: 0 auto;
}

.aptechka__footer-wrapper {
    border: 2px solid #94C11F;
    border-radius: 24px;
    padding: 60px;
}

.aptechka__footer-main {
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: 10px;
}

.aptechka__footer-brand {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.aptechka__footer-brand-txt {
    color: #1F3B71;
    font-family: "GT Eesti Pro Display", sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 350;
    line-height: 100%;
}

.aptechka__footer-contacts {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.aptechka__footer-contacts-description {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #1F3B71;
    font-family: "GT Eesti Pro Display", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 350;
    line-height: 100%;
    max-width: 465px;
}

.aptechka__footer-contacts-description a {
    text-decoration: none;
    color: #1F3B71;
}

.aptechka__footer-social {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
}

.aptechka__footer-social img {
    width: 60px;
}

.aptechka__footer-links {
    display: flex;
    margin-top: 40px;
    justify-content: space-between;
    gap: 10px;
}

.aptechka__footer-links a {
    color: #1F3B71;
    font-family: "GT Eesti Pro Display", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 350;
    line-height: 100%;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
}

@media (max-width: 1250px) {
    .aptechka__footer {
        padding: 0 15px;
    }
}

@media (max-width: 900px) {
    .aptechka__footer-main {
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .aptechka__footer-wrapper {
        padding: 40px 24px;
    }

    .aptechka__footer-brand {
        flex-direction: row;
        margin-bottom: 40px;
        gap: 40px;
    }

    .aptechka__footer-contacts {
        margin-bottom: 24px;
    }

    .aptechka__footer-social {
        grid-template-columns: repeat(4, 1fr);
    }

    .aptechka__footer-links {
        margin-top: 24px;
        gap: 24px;
    }
}

@media (max-width: 650px) {
    .aptechka__footer-main {
        align-items: start;
    }

    .aptechka__footer-links {
        flex-direction: column;
    }
}

@media (max-width: 500px) {
    .aptechka__footer-brand {
        flex-direction: column;
        gap: 12px;
        margin-bottom: 24px;
    }

    .aptechka__footer-contacts {
        margin-bottom: 40px;
    }

    .aptechka__footer-links {
        margin-top: 40px;
    }
}